Buf(1)

NAME
buf-config-ls-breaking-rules - List breaking rules

SYNOPSIS
buf config ls-breaking-rules [flags]

DESCRIPTION
List breaking rules

OPTIONS
--config=""
    The buf.yaml file or data to use for configuration. --configured-only must be set

--configured-only[=false]
    List rules that are configured instead of listing all available rules

--format="text"
    The format to print rules as. Must be one of [text,json]

-h, --help[=false]
    help for ls-breaking-rules

--include-deprecated[=false]
    Also print deprecated rules. Has no effect if --configured-only is set.

--module-path=""
    The path to the specific module to list configured rules for as specified in the buf.yaml. If the buf.yaml has more than one module defined, this must be set. --configured-only must be set

--version=""
    List all the rules for the given configuration version. By default, the version in the buf.yaml in the current directory is used, or the latest version otherwise (currently v2). Cannot be set if --configured-only is set. Must be one of [v1beta1 v1 v2]

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-config(1)

HISTORY
17-Jan-2025 Auto generated by spf13/cobra